package _VisualDVM.Passes.Testing;
import Common.Passes.Pass;
import _VisualDVM.Global;
import _VisualDVM.TestingSystem.Common.Configuration.Configuration;
public abstract class ShowCurrentConfigurationTests<C extends Configuration> extends Pass<C> {
    @Override
    public String getIconPath() {
        return "/icons/ShowPassword.png";
    }
    @Override
    public String getButtonText() {
        return "";
    }
    public abstract Class currentClass();
    @Override
    protected boolean canStart(Object... args) throws Exception {
        target = null;
        if (Global.testingServer.db.getTable(currentClass()).getUI().CheckCurrent(Log)) {
            target = (C) (Global.testingServer.db.getTable(currentClass()).getUI().getCurrent());
            return true;
        }
        return false;
    }
    @Override
    protected void showPreparation() throws Exception {
        Global.testingServer.db.UnselectAllGTC();
    }
}

